Skip to main content
POST
White Label Admin - Update white label user

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

userId
integer
required

User ID

Body

application/json

Only fields set in this object will be updated.

email
string

New email. This will also update the forum's email address but the user may need to logout/login back

Example:

"quijote@lamancha.es"

name
string

New user full name

Example:

"Don Quijote de la Mancha"

activated
boolean

Whether the user is active or not. Can only go from inactive to active.

Example:

true

suspended
boolean

Whether the user is suspended or not.

Example:

false

suspensionReason
string

Reason for suspension

Example:

"Spamming the forum"

jobTitle
string

New user job title

Example:

"Knight"

experiments
string[]

List of user experiments

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

error
string

Optional error description (set if 'success' was false)